gsl::ConstVectorView Class Reference

`#include <mia/core/gsl_vector.hh>`

## Public Member Functions

Vector::const_iterator | begin () const
| ConstVectorView (gsl_vector_const_view vv)
Vector::const_iterator | end () const
| operator const Vector & ()
| operator Vector::vector_const_pointer_type () const
const gsl_vector * | operator-> () const
double | operator[] (size_t i) const
Vector::size_type | size () const

## Detailed Description

Wrapper for the gsl_vector_const_view providing transparent access to the underlying vector.

Definition at line 243 of file gsl_vector.hh.

## Constructor & Destructor Documentation

## ConstVectorView()

gsl::ConstVectorView::ConstVectorView | ( | gsl_vector_const_view | vv | ) |

inline

Definition at line 246 of file gsl_vector.hh.

## Member Function Documentation

## begin()

Vector::const_iterator gsl::ConstVectorView::begin | ( |  | ) | const

inline

Definition at line 251 of file gsl_vector.hh.

## end()

Vector::const_iterator gsl::ConstVectorView::end | ( |  | ) | const

inline

Definition at line 256 of file gsl_vector.hh.

## operator const Vector &()

gsl::ConstVectorView::operator const Vector & | ( |  | ) |

inline

Definition at line 271 of file gsl_vector.hh.

## operator Vector::vector_const_pointer_type()

gsl::ConstVectorView::operator Vector::vector_const_pointer_type | ( |  | ) | const

inline

Definition at line 281 of file gsl_vector.hh.

## operator->()

const gsl_vector * gsl::ConstVectorView::operator-> | ( |  | ) | const

inline

Definition at line 276 of file gsl_vector.hh.

## operator[]()

double gsl::ConstVectorView::operator[] | ( | size_t | i | ) | const

inline

Definition at line 266 of file gsl_vector.hh.

## size()

Vector::size_type gsl::ConstVectorView::size | ( |  | ) | const

inline

Definition at line 261 of file gsl_vector.hh.

The documentation for this class was generated from the following file:

- gsl_vector.hh